Product
Support
Everything Else
Helix and macOS 10.15 (Catalina) Compatibility
Introduction

With the October 7, 2019 release of macOS 10.15 (aka: Catalina) Apple has continued to deprecate (shut down) older macOS technologies, primarily the ability to run older “32-bit” applications. (If you care for a detailed analysis of the changes in Catalina, read the Ars Technica review.)

Because only “64-bit” applications are supported in Catalina, and Helix is not (yet) 64-bit, users who rely on Helix will have to avoid installing macOS 10.15 for now. QSA ToolWorks is committed to releasing 64-bit versions of our applications, and will be putting all development efforts toward that end until it is achieved.